use godot::prelude::*;

mod screencast;

#[derive(GodotClass)]
#[class(base=Node)]
struct XdgPortals {
    base: Base<Node>,
}

#[godot_api]
impl INode for XdgPortals {
    fn init(base: Base<Node>) -> Self {
        Self { base }
    }
}

#[godot_api]
impl XdgPortals {
    #[func]
    fn screencast() {}
}
